unordered_map File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | __glibcxx_want_allocator_traits_is_always_equal
#define | __glibcxx_want_containers_ranges
#define | __glibcxx_want_erase_if
#define | __glibcxx_want_generic_unordered_lookup
#define | __glibcxx_want_node_extract
#define | __glibcxx_want_nonmember_container_access
#define | __glibcxx_want_tuple_like
#define | __glibcxx_want_unordered_map_try_emplace
#define | _GLIBCXX_UNORDERED_MAP

## Typedefs

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>>
using | std::pmr::unordered_map
template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>>
using | std::pmr::unordered_multimap

## Functions

template<typename _Key, typename _Tp, typename _Hash, typename _CPred, typename _Alloc, typename _Predicate>
unordered_map< _Key, _Tp, _Hash, _CPred, _Alloc >::size_type | std::erase_if (unordered_map< _Key, _Tp, _Hash, _CPred, _Alloc > &__cont, _Predicate __pred)
template<typename _Key, typename _Tp, typename _Hash, typename _CPred, typename _Alloc, typename _Predicate>
unordered_multimap< _Key, _Tp, _Hash, _CPred, _Alloc >::size_type | std::erase_if (unordered_multimap< _Key, _Tp, _Hash, _CPred, _Alloc > &__cont, _Predicate __pred)

## Detailed Description

This is a Standard C++ Library header.

Definition in file unordered_map.

## Macro Definition Documentation

## __glibcxx_want_allocator_traits_is_always_equal

#define __glibcxx_want_allocator_traits_is_always_equal

Definition at line 51 of file unordered_map.

## __glibcxx_want_containers_ranges

#define __glibcxx_want_containers_ranges

Definition at line 52 of file unordered_map.

## __glibcxx_want_erase_if

#define __glibcxx_want_erase_if

Definition at line 53 of file unordered_map.

## __glibcxx_want_generic_unordered_lookup

#define __glibcxx_want_generic_unordered_lookup

Definition at line 54 of file unordered_map.

## __glibcxx_want_node_extract

#define __glibcxx_want_node_extract

Definition at line 55 of file unordered_map.

## __glibcxx_want_nonmember_container_access

#define __glibcxx_want_nonmember_container_access

Definition at line 56 of file unordered_map.

## __glibcxx_want_tuple_like

#define __glibcxx_want_tuple_like

Definition at line 58 of file unordered_map.

## __glibcxx_want_unordered_map_try_emplace

#define __glibcxx_want_unordered_map_try_emplace

Definition at line 57 of file unordered_map.

## _GLIBCXX_UNORDERED_MAP

#define _GLIBCXX_UNORDERED_MAP

Definition at line 30 of file unordered_map.

## Typedef Documentation

## unordered_map

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>>

using std::pmr::unordered_map

Definition at line 70 of file unordered_map.

## unordered_multimap

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>>

using std::pmr::unordered_multimap

Definition at line 74 of file unordered_map.